{include file='modules/servers/puqPowerDNS/templates/header.tpl'}

{if $message}
    {if $message == 'success'}
        <div class="alert alert-success text-center">
            {$dns->lang['Successfully']}
        </div>
    {else}
        <div class="alert alert-danger text-center">
            {$message}
        </div>
    {/if}
{/if}


<div class="card">
    <div class="card-header">
        <h2>{$dns->lang['Information']}</h2>
    </div>
    <div class="card-body p-0">
        <div class="row border-bottom m-0 py-2 align-items-center">
            <div class="col-1 text-center">
                <i class="fas fa-globe"></i>
            </div>
            <div class="col-6">
                <strong>{$dns->lang['Zones']}</strong>
            </div>

            <div class="col-5">
                {$dns->usedZones}
                /
                {if $dns->package_option_max_zones == 0}
                    <b class="text-success">{$dns->lang['Unlimited']}</b>
                {else}
                    <b class="text-success">{$dns->package_option_max_zones}</b>
                {/if}
            </div>
        </div>

        {if $dns->package_option_nameserver1 != ""}
            <div class="row border-bottom m-0 py-2 align-items-center">
                <div class="col-1 text-center">
                    <i class="fa fa-server"></i>
                </div>
                <div class="col-6">
                    <strong>{$dns->lang['Name server 1']}</strong>
                </div>
                <div class="col-5">
                    {$dns->package_option_nameserver1}
                </div>
            </div>
        {/if}

        {if $dns->package_option_nameserver2 != ""}
            <div class="row border-bottom m-0 py-2 align-items-center">
                <div class="col-1 text-center">
                    <i class="fa fa-server"></i>
                </div>
                <div class="col-6">
                    <strong>{$dns->lang['Name server 2']}</strong>
                </div>
                <div class="col-5">
                    {$dns->package_option_nameserver2}
                </div>
            </div>
        {/if}

        {if $dns->package_option_nameserver3 != ""}
            <div class="row border-bottom m-0 py-2 align-items-center">
                <div class="col-1 text-center">
                    <i class="fa fa-server"></i>
                </div>
                <div class="col-6">
                    <strong>{$dns->lang['Name server 3']}</strong>
                </div>
                <div class="col-5">
                    {$dns->package_option_nameserver3}
                </div>
            </div>
        {/if}

        {if $dns->package_option_nameserver4 != ""}
            <div class="row border-bottom m-0 py-2 align-items-center">
                <div class="col-1 text-center">
                    <i class="fa fa-server"></i>
                </div>
                <div class="col-6">
                    <strong>{$dns->lang['Name server 4']}</strong>
                </div>
                <div class="col-5">
                    {$dns->package_option_nameserver4}
                </div>
            </div>
        {/if}

        <div class="row m-0 py-2 align-items-center">
            <div class="col-1 text-center">
                <i class="fa fa-cogs"></i>
            </div>
            <div class="col-6">
                <strong>{$dns->lang['Actions']}</strong>
            </div>
            <div class="col-5">
                <button type="button" class="btn btn-success" data-toggle="modal" data-target="#addZoneModal">
                    <i class="fa fa-plus"></i>
                    {$dns->lang['Add DNS Zone']}
                </button>
            </div>
        </div>


    </div>
</div>

<table id="zones" class="display table table-list dataTable no-footer" style="width:100%">
    <thead>
    <tr>
        <th>{$dns->lang['Zone Name']}</th>
        <th>{$dns->lang['Status']}</th>
        <th>{$dns->lang['Actions']}</th>
    </tr>
    </thead>
    <tbody>
    {foreach $dns->zones as $zone}
        <tr>
            <td class="text-left">{$zone->zone}</td>
            <td class="text-center">{$zone->status}</td>
            <td class="text-center">
                {if $zone->status == 'active'}
                    <a href="{$dns->SystemURL}/clientarea.php?action=productdetails&id={$dns->service_id}&zone_id={$zone->id}"
                       class="btn btn-primary btn-sm" title="{$dns->lang['Records']}">
                        <i class="fa fa-edit"></i> {$dns->lang['Records']}
                    </a>
                {else}
                    <button disabled class="btn btn-primary btn-sm" title="{$dns->lang['Records']}">
                        <i class="fa fa-edit"></i> {$dns->lang['Records']}
                    </button>
                {/if}
                <button class="btn btn-danger btn-sm ml-2" title="{$dns->lang['Delete']}" data-toggle="modal"
                        data-target="#confirmDeleteModal" data-id="{$zone->id}" data-name="{$zone->zone}">
                    <i class="fa fa-trash"></i>
                </button>
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>

<div class="modal fade" id="confirmDeleteModal" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="confirmDeleteModalLabel">{$dns->lang['Confirm Delete']}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {$dns->lang['Are you sure you want to delete the zone']} <strong id="zoneName"></strong>?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">
                    {$dns->lang['Cancel']}
                </button>
                <button type="button" class="btn btn-danger" id="confirmDeleteBtn">
                    <i class="fa fa-times"></i> {$dns->lang['Delete']}
                </button>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function () {
        $('#zones').DataTable({
            "language": {
                "decimal": "",
                "emptyTable": "{$dns->lang['No data available in table']}",
                "info": "{$dns->lang['Showing _START_ to _END_ of _TOTAL_ entries']}",
                "infoEmpty": "{$dns->lang['Showing 0 entries']}",
                "infoFiltered": "{$dns->lang['(filtered from _MAX_ total entries)']}",
                "infoPostFix": "",
                "thousands": ",",
                "lengthMenu": "{$dns->lang['Show _MENU_ entries']}",
                "loadingRecords": "{$dns->lang['Loading...']}",
                "processing": "{$dns->lang['Processing...']}",
                "search": "{$dns->lang['Search:']}",
                "zeroRecords": "{$dns->lang['No matching records found']}",
                "paginate": {
                    "first": "{$dns->lang['First']}",
                    "last": "{$dns->lang['Last']}",
                    "next": "{$dns->lang['Next']}",
                    "previous": "{$dns->lang['Previous']}"
                },
                "aria": {
                    "sortAscending": "{$dns->lang[': activate to sort column ascending']}",
                    "sortDescending": "{$dns->lang[': activate to sort column descending']}"
                }
            }
        });

        $('#confirmDeleteModal').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget);
            var id = button.data('id');
            var name = button.data('name');
            var modal = $(this);
            modal.find('#zoneName').text(name);

            modal.find('#confirmDeleteBtn').off('click').on('click', function () {
                showLoader();
                $.ajax({
                    url: '{$dns->SystemURL}/clientarea.php?action=productdetails&id={$dns->service_id}',
                    type: 'POST',
                    data: {
                        ajax: 'deleteZone',
                        zoneID: id
                    },
                    success: function (response) {
                        window.location.reload();
                    },
                    error: function (error) {
                        hideLoader();
                        alert('{$dns->lang['An error occurred while deleting the item']}');
                    }
                });
            });
        });
    });

</script>
{include file='modules/servers/puqPowerDNS/templates/add_zone.tpl'}
